<?php get_header(); ?>
    <section class="heading-container">
        <div class="heading">
            <div class="wrap-pagination">
                <div class="container">
                    <nav class="pagination">
                        <?php echo get_breadcrumbs(); ?>
                    </nav>
                    <!-- end pagination -->

                    <div class="pagination-arrow">&larr;</div>
                </div>
                <!-- end container -->
            </div>
            <!-- end pagination container -->

            <div class="container">
                <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>

                <h1 class="heading__title"><?php wp_title("", true); ?></h1>
                <div class="heading__sub-title"><?php echo ale_get_option('historydesc'); ?></div>

                <p><?php echo ale_get_option('historytext'); ?></p>

                <a href="<?php echo ale_get_option('blogurl'); ?>" class="btn"><?php echo ale_get_option('blogname'); ?></a>
            </div>
            <!-- end container -->
        </div>
        <!-- end heading -->
    </section>
    <!-- end heading container -->

    <div class="container container_main">
        <div class="history" id="content">
            <?php
            $stickies = get_option('sticky_posts');
            if( $stickies ) {
                $args = array( 'ignore_sticky_posts' => 1, 'post__not_in' => $stickies );
                global $wp_query;
                query_posts( array_merge($wp_query->query, $args));
            }
            $count = 0;
            if (have_posts()) : while (have_posts()) : the_post(); $count++; ?>
                <?php if($count == count($count)): ?>
                    <?php
                    if(get_the_post_thumbnail($post->ID,'history-big')){
                        echo get_the_post_thumbnail($post->ID,'history-big');
                    } else{
                        echo '<img src="http://placehold.it/1078x530/f6f4f2/221c1a&amp;text=No+image" alt class="attachment-history-mini">';
                    }?>

                    <div class="history-entry cf">
                        <aside class="history-entry__side">
                            <div class="overlay-layer">
                                <div class="ins-overlay-layer">
                                    <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>
                                    <h2 class="history-entry__title"><?php echo bloginfo('name'); ?></h2>
                                    <div class="history-entry__sub-title"><?php echo ale_get_option('historysubtitle'); ?></div>
                                </div>
                            </div>
                            <!-- end aligment layer -->
                        </aside>
                        <!-- end history enry side -->

                        <div class="history-entry__content">
                            <div class="history-entry__first-text">
                                <p><?php echo ale_get_option('historytopdescription'); ?></p>
                            </div>

                            <div class="history-entry__year"><?php echo ale_get_meta('histiryyear'); ?> <?php echo ale_get_meta('histiryword'); ?></div>

                            <?php the_content();?>
                        </div>
                        <!-- end history enry content -->
                    </div>
                    <!-- end history entry -->
                    <?php elseif($count != count($count)): ?>

                        <?php if($count == count($count)): ?>
                            <div class="history-years">
                        <?php endif; ?>
                        <article class="history-year cf post">
                            <h2 class="history-year__year"><span><?php echo ale_get_meta('histiryyear'); ?></span><?php echo ale_get_meta('histiryword'); ?></h2>
                            <div class="history-year__images">
                                <?php $args = array(
                                    'post_type' => 'attachment',
                                    'numberposts' => 2,
                                    'post_status' => null,
                                    'order'				=> 'ASC',
                                    'orderby'			=> 'menu_order ID',
                                    'meta_query'		=> array(
                                        array(
                                            'key'		=> '_ale_hide_from_gallery',
                                            'value'		=> 0,
                                            'type'		=> 'DECIMAL',
                                        ),
                                    ),
                                    'post_parent' => $post->ID
                                );
                                $attachments = get_posts( $args );
                                if ( $attachments ) {
                                    foreach ( $attachments as $attachment ) { ?>
                                        <?php
                                            echo wp_get_attachment_image( $attachment->ID, 'history-mini' );
                                        ?>
                                    <?php }
                                } else{
                                    echo '<img width="357" height="215" src="http://placehold.it/357x215/f6f4f2/221c1a&amp;text=No+image" alt class="attachment-history-mini">';
                                    echo '<img width="357" height="215" src="http://placehold.it/357x215/f6f4f2/221c1a&amp;text=No+image" alt class="attachment-history-mini">';
                                } ?>
                            </div>
                            <!-- end history year images -->

                            <div class="history-year__content">
                                <h2 class="history-year__title">
                                    <a href="<?php the_permalink();?>"><?php the_title();?></a>
                                </h2>
                                <?php echo ale_trim_excerpt(15); ?>
                                <a href="<?php the_permalink();?>" class="btn"><?php _e('See more','aletheme'); ?></a>
                            </div>
                            <!-- end history year content -->
                        </article>
                        <!-- end history year -->

                    <?php if($count == 1): ?>
                        </div>
                        <!-- end history years -->
                    <?php endif; ?>
                <?php endif; ?>
            <?php endwhile;  endif; wp_reset_query();?>

            <p><?php echo ale_get_option('historybottomtext'); ?></p>
        </div>
        <!-- end history -->
    </div>
    <!-- end container -->
<?php get_footer(); ?>