<?php
/**
 * Template Name: Template About
 */
// send contact
if (isset($_POST['contact'])) {
    $error = ale_send_contact($_POST['contact']);
}
get_header(); ?>
    <section class="heading-container">
        <div class="heading">
            <div class="wrap-pagination">
                <div class="container">
                    <nav class="pagination">
                        <?php echo get_breadcrumbs(); ?>
                    </nav>
                    <!-- end pagination -->

                    <div class="pagination-arrow">&larr;</div>
                </div>
                <!-- end container -->
            </div>
            <!-- end pagination container -->

            <div class="container">
                <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>

                <h1 class="heading__title"><?php wp_title("", true); ?></h1>
                <div class="heading__sub-title"><?php echo ale_get_meta('aboutdesc'); ?></div>

                <p><?php echo ale_get_meta('abouttext'); ?></p>

                <a href="<?php echo ale_get_option('blogurl'); ?>" class="btn"><?php echo ale_get_option('blogname'); ?></a>
            </div>
            <!-- end container -->
        </div>
        <!-- end heading -->
    </section>
    <!-- end heading container -->

    <div class="container container_main">
        <?php if(ale_get_meta('aboutusabout') != "off"): ?>
            <section class="about">
                <div class="about-items cf">
                    <figure class="about-item">
                        <?php if(ale_get_meta('aboutourstudioimage1')): ?>
                            <img src="<?php echo ale_get_meta('aboutourstudioimage1'); ?>" alt="">
                        <?php else: ?>
                            <img src="http://placehold.it/270x372/f6f4f2/221c1a" alt>
                        <?php endif; ?>

                        <div class="wrap-overlay-layer">
                            <div class="overlay-layer">
                                <div class="ins-overlay-layer">
                                    <div class="about-item__btns">
                                        <a href="<?php echo ale_get_meta('aboutourstudiourl1'); ?>" class="about-item__btn"><?php echo ale_get_meta('aboutourstudiotitle1'); ?></a>
                                        <a href="<?php echo ale_get_meta('aboutourstudiourl1'); ?>" class="about-item__btn about-item__btn_hidden"><?php echo ale_get_meta('aboutourstudiosubtitle1'); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- end wrap overlay layer -->
                    </figure>
                    <!-- end about item -->

                    <figure class="about-item">
                        <?php if(ale_get_meta('aboutourstudioimage2')): ?>
                            <img src="<?php echo ale_get_meta('aboutourstudioimage2'); ?>" alt="">
                        <?php else: ?>
                            <img src="http://placehold.it/270x372/f6f4f2/221c1a" alt>
                        <?php endif; ?>

                        <div class="wrap-overlay-layer">
                            <div class="overlay-layer">
                                <div class="ins-overlay-layer">
                                    <div class="about-item__btns">
                                        <a href="<?php echo ale_get_meta('aboutourstudiourl2'); ?>" class="about-item__btn"><?php echo ale_get_meta('aboutourstudiotitle2'); ?></a>
                                        <a href="<?php echo ale_get_meta('aboutourstudiourl2'); ?>" class="about-item__btn about-item__btn_hidden"><?php echo ale_get_meta('aboutourstudiosubtitle2'); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- end wrap overlay layer -->
                    </figure>
                    <!-- end about item -->

                    <figure class="about-item">
                        <?php if(ale_get_meta('aboutourstudioimage3')): ?>
                            <img src="<?php echo ale_get_meta('aboutourstudioimage3'); ?>" alt="">
                        <?php else: ?>
                            <img src="http://placehold.it/270x372/f6f4f2/221c1a" alt>
                        <?php endif; ?>

                        <div class="wrap-overlay-layer">
                            <div class="overlay-layer">
                                <div class="ins-overlay-layer">
                                    <div class="about-item__btns">
                                        <a href="<?php echo ale_get_meta('aboutourstudiourl3'); ?>" class="about-item__btn"><?php echo ale_get_meta('aboutourstudiotitle3'); ?></a>
                                        <a href="<?php echo ale_get_meta('aboutourstudiourl3'); ?>" class="about-item__btn about-item__btn_hidden"><?php echo ale_get_meta('aboutourstudiosubtitle3'); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- end wrap overlay layer -->
                    </figure>
                    <!-- end about item -->

                    <figure class="about-item">
                        <?php if(ale_get_meta('aboutourstudioimage4')): ?>
                            <img src="<?php echo ale_get_meta('aboutourstudioimage4'); ?>" alt="">
                        <?php else: ?>
                            <img src="http://placehold.it/270x372/f6f4f2/221c1a" alt>
                        <?php endif; ?>

                        <div class="wrap-overlay-layer">
                            <div class="overlay-layer">
                                <div class="ins-overlay-layer">
                                    <div class="about-item__btns">
                                        <a href="<?php echo ale_get_meta('aboutourstudiourl4'); ?>" class="about-item__btn"><?php echo ale_get_meta('aboutourstudiotitle3'); ?></a>
                                        <a href="<?php echo ale_get_meta('aboutourstudiourl4'); ?>" class="about-item__btn about-item__btn_hidden"><?php echo ale_get_meta('aboutourstudiosubtitle3'); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- end wrap overlay layer -->
                    </figure>
                    <!-- end about item -->
                </div>
                <!-- end about items -->

                <p><?php echo ale_get_meta('aboutourstudiotext'); ?></p>
            </section>
            <!-- end about -->
        <?php endif; ?>

        <?php if(ale_get_meta('tabsabout') != "off"): ?>
            <section class="wrap-team tabs cf">
                <h2 class="container-title"><?php echo ale_get_meta('ourteamtitle'); ?></h2>
                <?php
                $post_per_page = ale_get_meta('tabscount');
                wp_reset_query(); query_posts(array('posts_per_page' => $post_per_page, 'post_type' => 'team'));
                $count_tab = 0; ?>
                <ul class="people cf">
                    <?php if (have_posts()) : while (have_posts()) : the_post(); $count_tab++; ?>
                        <li class="people__item">
                            <a href="#tab-<?php echo $count_tab; ?>">
                                <figure class="person">
                                    <div class="person__thumb">
                                        <?php
                                        if(get_the_post_thumbnail($post->ID,'team-thumba')){
                                            echo get_the_post_thumbnail($post->ID,'team-thumba');
                                        } else{
                                            echo '<img src="http://placehold.it/82x82/f6f4f2/221c1a&amp;text=No+image" alt>';
                                        }
                                        ?>
                                    </div>
                                    <!-- end person thumb -->

                                    <figcaption class="person__content">
                                        <h2 class="person__name"><?php the_title();?></h2>
                                        <div class="person__post"><?php echo ale_get_meta('teamlabel'); ?></div>
                                    </figcaption>
                                    <!-- end person content -->
                                </figure>
                                <!-- end person -->
                            </a>
                            <!-- end tab -->
                        </li>
                        <!-- end people item -->
                    <?php endwhile;  endif; wp_reset_query();?>
                </ul>
                <!-- end people -->

                <?php
                wp_reset_query(); query_posts(array('posts_per_page' => $post_per_page, 'post_type' => 'team'));
                $count_tab = 0; ?>
                <?php $count_tab = 0; if (have_posts()) : while (have_posts()) : the_post(); $count_tab++; ?>
                    <div id="tab-<?php echo $count_tab; ?>" class="person-more">
                        <header class="person-more__header">
                            <h2 class="person-more__name"><?php echo ale_get_meta('teamtitle'); ?></h2>
                            <h2 class="person-more__post"><?php echo ale_get_meta('teamlabel'); ?></h2>
                        </header>
                        <!-- end person details header -->

                        <div class="person-more__content">
                            <?php the_content(); ?>
                        </div>
                        <!-- end person details content -->

                        <footer class="person-entry__footer">
                            <div class="person-contacts">
                                <h3 class="person-contacts__title"><?php _e('My contacts','aletheme'); ?></h3>
                                <?php if(ale_get_meta('teamemail') || ale_get_meta('teamphone') || ale_get_meta('teamskype') || ale_get_meta('teamsfacebook')): ?>
                                    <div class="person-contacts__list">
                                        <div class="person-contacts__col">
                                            <?php if(ale_get_meta('teamemail')): ?>
                                                <div class="person-contacts__item">
                                                    <i class="person-contacts__icon person-contacts__icon_email"></i>
                                                    <?php echo ale_get_meta('teamemail'); ?>
                                                </div>
                                            <?php endif; ?>

                                            <?php if(ale_get_meta('teamphone')): ?>
                                                <div class="person-contacts__item">
                                                    <i class="person-contacts__icon person-contacts__icon_phone"></i>
                                                    <?php echo ale_get_meta('teamphone'); ?>
                                                </div>
                                            <?php endif; ?>
                                        </div>

                                        <div class="person-contacts__col">
                                            <?php if(ale_get_meta('teamskype')): ?>
                                                <div class="person-contacts__item">
                                                    <i class="person-contacts__icon person-contacts__icon_skype"></i>
                                                    <?php echo ale_get_meta('teamskype'); ?>
                                                </div>
                                            <?php endif; ?>

                                            <?php if(ale_get_meta('teamsfacebook')): ?>
                                                <div class="person-contacts__item">
                                                    <i class="person-contacts__icon person-contacts__icon_social"></i>
                                                    <?php echo ale_get_meta('teamsfacebook'); ?>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </div>
                            <!-- end person contacts -->

                            <div class="group-btns">
                                <?php if( function_exists('dot_irecommendthis') ) dot_irecommendthis(); ?>

                                <a href="#" class="group-btn show-share">
                                    <i class="group-btn__icon group-btn__icon_share"></i>
                                    <?php _e('Share', 'aletheme'); ?>
                                </a>
                            </div>
                            <!-- person group btns -->

                            <div class="social">
                                <a href="<?php echo ale_get_share('twi'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_twitter">Twitter</a>
                                <a href="<?php echo ale_get_share('trumblr'); ?>" onclick="window.open(this.href, 'Share on Trumblr', 'width=600,height=300'); return false" class="social-btn social-btn_tumblr">Trumblr</a>
                                <a href="<?php echo ale_get_share('fb'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_facebook">Facebook</a>
                            </div>
                        </footer>
                        <!-- end person entry footer -->
                    </div>
                    <!-- end person more -->
                <?php endwhile;  endif; wp_reset_query();?>
            </section>
            <!-- end wrap team -->
        <?php endif; ?>

        <?php if(ale_get_meta('whatwydoabout') != "off"): ?>
            <section class="wrap-offers">
                <h2 class="container-title"><?php echo ale_get_meta('whatwedotitle'); ?></h2>

                <div class="offers cf" id="content">
                    <?php
                    global $post;
                    $count = 0;
                    $args = array('paged' => get_query_var('paged'),'post_type' => 'whatwedo', 'posts_per_page' => 3);
                    $loop = new WP_Query( $args );
                    if($loop->have_posts()) : while ( $loop->have_posts() ) : $loop->the_post(); $count++; ?>
                        <div class="offer cf post">
                            <div class="offer-image <?php if($count%2 == 0){echo 'float-right';} ?>">
                                <?php
                                if(get_the_post_thumbnail($post->ID,'whatwedo-thumba')){
                                    echo get_the_post_thumbnail($post->ID,'whatwedo-thumba');
                                }else{
                                    echo '<img src="http://placehold.it/359x475/f6f4f2/221c1a&amp;text=No+image" alt>';
                                }
                                ?>
                            </div>
                            <!-- end offer image -->

                            <div class="wrap-offer-category <?php if($count%2 == 0){echo 'float-right';} ?>">
                                <div class="offer-category">
                                    <div class="fashion-style"><?php echo ale_get_option('firstlabel'); ?></div>
                                    <h2 class="offer-category__title">
                                        <?php
                                        $terms = get_the_terms( $post->ID, 'whatwedo-category' );
                                        foreach ($terms as $term) {
                                            echo $term->name;
                                        }

                                        ?>
                                    </h2>
                                    <div class="offer-category__sub-title">
                                        <?php echo ale_get_meta('whatwedodescription');?>
                                    </div>

                                    <?php
                                        echo '<a href="'. get_permalink(). '" class="btn">'. __('Open','aletheme'). '</a>';
                                    ?>
                                </div>
                                <!-- end offer category -->
                            </div>
                            <!-- end wrap offer category -->

                            <div class="offer-post <?php if($count%2 == 0){echo 'offer-post_left';} else{echo 'offer-post_right';} ?>">
                                <header class="offer-post__header">
                                    <h2 class="offer-post__title"><?php the_title();?></h2>
                                    <time datetime="2014-03-07" class="offer-post__date"><?php the_time('l, F j, Y'); ?> </time>
                                </header>
                                <!-- end offer post header -->

                                <div class="offer-post__content">
                                    <p><?php echo ale_trim_excerpt(60); ?></p>

                                    <span class="offer-post__small-text"><?php echo ale_get_meta('whatwedodescription'); ?></span>
                                </div>
                                <!-- end offer post content -->

                                <footer class="offer-post__footer cf">
                                    <div class="group-btns">
                                        <?php if( function_exists('dot_irecommendthis') ) dot_irecommendthis(); ?>

                                        <a href="#" class="group-btn show-share">
                                            <i class="group-btn__icon group-btn__icon_share"></i>
                                            <?php _e('Share', 'aletheme'); ?>
                                        </a>
                                    </div>
                                    <!-- person group btns -->

                                    <div class="social">
                                        <a href="<?php echo ale_get_share('twi'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_twitter">Twitter</a>
                                        <a href="<?php echo ale_get_share('trumblr'); ?>" onclick="window.open(this.href, 'Share on Trumblr', 'width=600,height=300'); return false" class="social-btn social-btn_tumblr">Trumblr</a>
                                        <a href="<?php echo ale_get_share('fb'); ?>" onclick="window.open(this.href, 'Share on Facebook', 'width=600,height=300'); return false" class="social-btn social-btn_facebook">Facebook</a>
                                    </div>
                                    <!-- edn social -->
                                </footer>
                                <!-- end offer post footer -->
                            </div>
                            <!-- end offer post -->
                        </div>
                        <!-- end offer -->
                    <?php endwhile;  endif; wp_reset_query();?>
                </div>
                <!-- end offers -->
            </section>
            <!-- end wrap offers -->
        <?php endif; ?>
    </div>
    <!-- end container -->

<?php get_footer(); ?>