<?php
/**
 * Template Name: Template Collection
 */
get_header(); ?>
    <section class="heading-container">
        <div class="heading">
            <div class="wrap-pagination">
                <div class="container">
                    <nav class="pagination">
                        <?php echo get_breadcrumbs(); ?>
                    </nav>
                    <!-- end pagination -->

                    <div class="pagination-arrow">&larr;</div>
                </div>
                <!-- end container -->
            </div>
            <!-- end pagination container -->

            <div class="container">
                <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>

                <h1 class="heading__title"><?php wp_title("", true); ?></h1>
                <div class="heading__sub-title"><?php echo ale_get_meta('collectiondesc'); ?></div>

                <p><?php echo ale_get_meta('collectiontext'); ?></p>

                <a href="<?php echo ale_get_option('blogurl'); ?>" class="btn"><?php echo ale_get_option('blogname'); ?></a>
            </div>
            <!-- end container -->
        </div>
        <!-- end heading -->
    </section>
    <!-- end heading container -->

    <div class="container container_main">
        <div class="collection">
            <?php if(function_exists('is_woocommerce') && ale_get_meta('collectionshopact') != "off"): ?>
                <div class="collection-categories cf">
                    <?php
                    $args = array(
                        'taxonomy'     => 'product_cat',
                        'orderby'      => 'name',
                        'show_count'   => 0,
                        'pad_counts'   => 0,
                        'hierarchical' => 1,
                        'title_li'     => '',
                        'hide_empty'   => 0
                    );
                    global $image;
                    $all_categories = get_categories( $args );
                    $count = 0;
                    //print_r($all_categories);
                    foreach ($all_categories as $cat) {
                        //print_r($cat);
                        if($cat->category_parent == 0 && $count < 4) {
                            $count++;
                            $category_id = $cat->term_id; ?>
                        <figure class="collection-category">
                            <?php
                            $small_thumbnail_size  	= apply_filters( 'single_product_small_thumbnail_size', 'product_cat_home' );
                            $dimensions    			= wc_get_image_size( $small_thumbnail_size );
                            $thumbnail_id  			= get_woocommerce_term_meta( $cat->term_id, 'thumbnail_id', true  );
                            $image = wp_get_attachment_image_src( $thumbnail_id, $small_thumbnail_size  );
                            $image = $image[0];
                            if($image){
                                echo '<img src="'.$image.'" alt>';
                            } else{
                                echo '<img src="http://placehold.it/359x475/f6f4f2/221c1a" alt>';
                            }
                            ?>

                            <div class="wrap-overlay-layer wrap-overlay-layer_aligment">
                                <div class="overlay-layer">
                                    <div class="ins-overlay-layer">
                                        <h2 class="collection-category__title"><?php echo $cat->name; ?></h2>
                                        <a href="<?php echo get_term_link($cat->slug, 'product_cat'); ?>" class="btn btn_collection"><?php _e('View category','aletheme'); ?></a>
                                    </div>
                                </div>
                            </div>
                            <!-- end wrap overlay layer aligment -->

                            <figcaption class="wrap-overlay-layer wrap-overlay-layer_content">
                                <div class="overlay-layer">
                                    <div class="ins-overlay-layer">
                                        <div class="overlay-content">
                                            <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>
                                            <h2 class="overlay-content__title"><?php echo $cat->name; ?></h2>
                                            <div class="overlay-content__text">
                                                <p><?php echo $cat->description; ?></p>
                                            </div>
                                            <a href="<?php echo get_term_link($cat->slug, 'product_cat'); ?>" class="btn"><?php _e('View category','aletheme'); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </figcaption>
                            <!-- end wrap overlay layer content -->
                        </figure>
                        <!-- end collection category -->
                        <?php }
                    }
                    ?>
                </div>
                <!-- end collection categories -->
            <?php endif; ?>

            <?php if(ale_get_meta('collectionshopprod') != "off"): ?>
                <div class="collection-gallery" id="content">
                    <h2 class="container-title"><?php echo ale_get_meta('collectiontitle'); ?></h2>
                    <?php
                        $category_name = ale_get_meta('collectioncatname');
                        $args = array( 'post_type' => 'product', 'product_cat' => $category_name,'paged' => get_query_var('paged'), 'posts_per_page' => 6 );
                        $loop = new WP_Query( $args );
                        while ( $loop->have_posts() ) : $loop->the_post();
                            global $product;
                    ?>

                    <figure class="collection-photo post">
                        <?php

                        if(get_the_post_thumbnail($post->ID,'product_cat_collection')){
                            echo get_the_post_thumbnail($post->ID,'product_cat_collection');
                        }
                        else{
                            echo '<img src="http://placehold.it/539x703/f6f4f2/221c1a&amp;text=No+image" alt>';
                        }
                        ?>

                        <div class="wrap-overlay-layer">
                            <div class="overlay-layer">
                                <div class="ins-overlay-layer">
                                    <a href="<?php the_permalink(); ?>" class="btn"><?php _e('See more','aletheme'); ?></a>
                                </div>
                                <!-- end ins overlay layer -->
                            </div>
                            <!-- end overlay layer -->
                        </div>
                        <!-- end wrap overlay layer -->
                    </figure>
                    <!-- end collection photo -->
                    <?php endwhile; wp_reset_query(); ?>
                </div>
                <!-- end collection gallery -->
            <?php endif; ?>
        </div>
        <!-- end collection -->
    </div>
    <!-- end container -->
<?php get_footer(); ?>