<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	$classes[] = 'first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	$classes[] = 'last';
?>
<div class="catalog-item post product">

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>


		<?php
			/**
			 * woocommerce_before_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_show_product_loop_sale_flash - 10
			 */
			do_action( 'woocommerce_before_shop_loop_item_title' );
		?>


    <?php echo get_the_post_thumbnail($post->ID,'product-thumba');?>
    <header class="catalog-item__header">
        <h1 class="catalog-item__title"><?php the_title(); ?></h1>
        <div class="catalog-item__price">
            <?php
            /**
             * woocommerce_after_shop_loop_item_title hook
             *
             * @hooked woocommerce_template_loop_rating - 5
             * @hooked woocommerce_template_loop_price - 10
             */
            do_action( 'woocommerce_after_shop_loop_item_title' );
            ?>
        </div>
    </header>
    <!-- end shop item header -->


    <footer class="catalog-item__footer">
        <div class="catalog-item__btns">
            <?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
            <a href="<?php the_permalink();?>" class="btn catalog-item__btn"><?php _e('Details','aletheme'); ?></a>
        </div>

        <div class="catalog-item__btns">
            <?php if ( shortcode_exists( 'yith_wcwl_add_to_wishlist' ) ){ echo do_shortcode( "[yith_wcwl_add_to_wishlist]" );} ?>
            <?php if ( shortcode_exists( 'yith_compare_button' ) ){ echo do_shortcode( '[yith_compare_button]');} ?>
        </div>
    </footer>
    <!-- end shop item footer -->


</div>
<!-- end shop item -->