<?php
/**
 * Content wrappers
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$template = get_option( 'template' );
function header_block (){
?>
    <section class="heading-container">
        <div class="heading">
            <div class="wrap-pagination">
                <div class="container">
                    <nav class="pagination">
                        <?php echo get_breadcrumbs(); ?>
                    </nav>
                    <!-- end pagination -->

                    <div class="pagination-arrow">&larr;</div>
                </div>
                <!-- end container -->
            </div>
            <!-- end pagination container -->

            <div class="container">
                <div class="fashion-style"><?php echo ale_get_option('firstlabel') ?></div>

                <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>

                    <h1 class="heading__title"><?php woocommerce_page_title(); ?></h1>

                <?php endif; ?>
                <div class="heading__sub-title"><?php echo ale_get_option('shopdesc'); ?></div>

                <p><?php echo ale_get_option('shoptext'); ?></p>
            </div>
            <!-- end container -->
        </div>
        <!-- end heading -->
        <?php
        global $wp_query;
        if (woocommerce_products_will_display()){
        ?>
        <div class="wrap-shop-filters">
            <div class="container">
                <div class="shop-filters">
                    <?php do_action( 'woocommerce_archive_description' ); ?>
                </div>
                <!-- end shop filters -->
            </div>
        </div>

        <?php } ?>
    </section>
    <!-- end heading container -->
<?php
 }
header_block();
switch( $template ) {
	case 'twentyeleven' :
		echo '<div id="primary"><div id="content" role="main">';
		break;
	case 'twentytwelve' :
		echo '<div id="primary" class="site-content"><div id="content" role="main">';
		break;
	case 'twentythirteen' :
		echo '<div id="primary" class="site-content"><div id="content" role="main" class="entry-content twentythirteen">';
		break;
	case 'twentyfourteen' :
		echo '<div id="primary" class="content-area"><div id="content" role="main" class="site-content twentyfourteen"><div class="tfwc">';
		break;
	default :
		echo '<div class="container container_main">';
		break;
}